
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux下常用网络和监控命令 / iVAN</title>

    <meta name="description" content="Linux下常用网络和监控命令 ifstat 介绍 ifstat工具是个网络接口监测工具,比较简单看网络流量 实例 默认使用 #ifstat        eth0                eth1        KB/s in  KB/s out   KB/s in  KB/s out     0.07      0.20      0.00      0.00     0.07      0.15      0.58      0.00默认ifstat不监控回环接口,显示的流量单位是KB.  监控所有网络接口 # i">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Linux下常用网络和监控命令</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>ifstat</strong></p>
<p>介绍</p>
<p>ifstat工具是个网络接口监测工具,比较简单看网络流量</p>
<p>实例</p>
<p>默认使用</p>
<p>#ifstat<br />
       eth0                eth1       <br />
 KB/s in  KB/s out   KB/s in  KB/s out<br />
    0.07      0.20      0.00      0.00<br />
    0.07      0.15      0.58      0.00默认ifstat不监控回环接口，显示的流量单位是KB。</p>
<p> 监控所有网络接口</p>
<p># ifstat -a<br />
        lo                 eth0                eth1       <br />
 KB/s in  KB/s out   KB/s in  KB/s out   KB/s in  KB/s out<br />
    0.00      0.00      0.28      0.58      0.06      0.06<br />
    0.00      0.00      1.41      1.13      0.00      0.00<br />
    0.61      0.61      0.26      0.23      0.00      0.00</p>
<p>ifstat比较简单看网络流量概况。</p>
<p> </p>
<p>iftop<br />
介绍</p>
<p>iftop是一款实时流量监控工具,监控TCP/IP连接等,缺点就是无报表功能。必须以root身份才能运行。</p>
<p> </p>
<p>实例</p>
<p>默认是监控第一块网卡的流量</p>
<p>iftop监控eth1</p>
<p>iftop -i eth1直接显示IP, 不进行DNS反解析</p>
<p>iftop -n直接显示连接埠编号, 不显示服务名称:</p>
<p>iftop -N显示某个网段进出封包流量</p>
<p>iftop -F 192.168.1.0/24 or 192.168.1.0/255.255.255.0</p>
<p>基于实例讲解输出含义</p>
<p>执行iftop -N -n -i eth1后界面为</p>
<p>                 19.1Mb            38.1Mb              57.2Mb               76.3Mb             95.4Mb<br />
+-----------------+-----------------+--------------------+--------------------+---------------------<br />
192.168.1.11                                  =&gt; 192.168.1.66                  5.3Mb  3.22Mb  3.20Mb<br />
                                              &lt;=                               219kb  45.7kb  49.3kb<br />
192.168.1.11                                   =&gt; 192.168.1.29                 144kb  30.8kb  29.6kb<br />
                                              &lt;=                               11.3Mb  2.38Mb  2.74Mb<br />
192.168.1.11                                  =&gt; 12.2.11.71                    0b   6.40kb  6.66kb<br />
                                              &lt;=                               0b      0b      0b<br />
192.168.1.11                                  =&gt; 192.168.1.8                   2.63kb  1.43kb   932b<br />
                                              &lt;=                               1.31kb  1.05kb   893b<br />
192.168.1.11                                   =&gt; 192.168.2.78                 2.53kb  1.54kb  2.15kb<br />
                                               &lt;=                              160b    160b    187b<br />
192.168.1.11                                   =&gt; 111.126.195.69               0b    166b     69b<br />
                                               &lt;=                              0b      0b      0b<br />
------------------------------------------------------------------------------------------------------<br />
TX:             cum:   9.70MB   peak:   15.6Mb                          rates:   15.4Mb  3.26Mb  3.23Mb<br />
RX:                    8.38MB           14.9Mb                                   11.5Mb  2.42Mb  2.79Mb<br />
TOTAL:                 18.1MB           30.5Mb                                   27.0Mb  5.69Mb  6.03Mb</p>
<p>iftop界面含义如下</p>
<p>第一行：带宽显示</p>
<p>中间部分：外部连接列表，即记录了哪些ip正在和本机的网络连接</p>
<p>中间部分右边：实时参数分别是该访问ip连接到本机2秒，10秒和40秒的平均流量</p>
<p>=&gt;代表发送数据，&lt;= 代表接收数据</p>
<p>底部三行：表示发送，接收和全部的流量</p>
<p>底部三行第二列：为你运行iftop到目前流量</p>
<p>底部三行第三列：为高峰值</p>
<p>底部三行第四列：为平均值通过iftop的界面很容易找到哪个ip在霸占网络流量，这个是ifstat做不到的。不过iftop的流量显示单位是Mb,这个b是bit，是位，不是字节，而ifstat的KB，这个B就是字节了，byte是bit的8倍。初学者容易被误导。</p>
<p> </p>
<p>进入iftop的命令</p>
<p>进入iftop画面后的一些操作命令(注意大小写)</p>
<p>按h切换是否显示帮助;</p>
<p>按n切换显示本机的IP或主机名;</p>
<p>按s切换是否显示本机的host信息;</p>
<p>按d切换是否显示远端目标主机的host信息;</p>
<p>按t切换显示格式为2行/1行/只显示发送流量/只显示接收流量;</p>
<p>按N切换显示端口号或端口服务名称;</p>
<p>按S切换是否显示本机的端口信息;</p>
<p>按D切换是否显示远端目标主机的端口信息;</p>
<p>按p切换是否显示端口信息;</p>
<p>按P切换暂停/继续显示;</p>
<p>按b切换是否显示平均流量图形条;</p>
<p>按B切换计算2秒或10秒或40秒内的平均流量;</p>
<p>按T切换是否显示每个连接的总流量;</p>
<p>按l打开屏幕过滤功能，输入要过滤的字符，比如ip,按回车后，屏幕就只显示这个IP相关的流量信息;</p>
<p>按L切换显示画面上边的刻度;刻度不同，流量图形条会有变化;</p>
<p>按j或按k可以向上或向下滚动屏幕显示的连接记录;</p>
<p>按1或2或3可以根据右侧显示的三列流量数据进行排序;</p>
<p>按&lt;根据左边的本机名或IP排序;</p>
<p>按&gt;根据远端目标主机的主机名或IP排序;</p>
<p>按o切换是否固定只显示当前的连接;</p>
<p>按f可以编辑过滤代码，这是翻译过来的说法，我还没用过这个！</p>
<p>按!可以使用shell命令，这个没用过！没搞明白啥命令在这好用呢！</p>
<p>按q退出监控。</p>
<p>网络性能.</p>
<p>　　#1: top – 进程活动状态</p>
<p>　　“top” 命令提供运行系统的动态实时视图, 比如: 系统进程, 内存、CPU占用. 缺省状态下, top显示按CPU使用的进程, 每隔5秒更新一次.</p>
<p>　　常用热键</p>
<p>　　如下为”top”命令常用的热键:</p>
<p>　　热键 说明</p>
<p>　　t 显示/关闭概括信息.</p>
<p>　　m 显示/关闭内存信息.</p>
<p>　　A 降序显示占用的系统资源，可以很容易识别消耗系统资源多的进程.</p>
<p>　　f 交互模式配置模式, 可以运行一些特定的任务.</p>
<p>　　o 允许在top命令窗口交互式选择排序方式 .</p>
<p>　　r 对指定进程运行 renice 命令.(优先级)</p>
<p>　　k 对指定进程运行 kill 命令(杀死指定的进程)</p>
<p>　　z 打开/关闭 彩色/黑白 显示</p>
<p>　　=&gt; 相关命令: How do I Find Out Linux CPU Utilization?</p>
<p>　　#2: vmstat – 系统状态，内存，CPU使用状况</p>
<p>　　“vmstat”命令报告系统进程、内存，页面、以及 block IO, traps, CPU的使用状况.</p>
<p>　　# vmstat 3</p>
<p>1. hostname</p>
<p>hostname 没有选项，显示主机名字</p>
<p>hostname –d 显示机器所属域名<br />
hostname –f 显示完整的主机名和域名<br />
hostname –i 显示当前机器的ip地址</p>
<p>2. ping</p>
<p>ping 将数据包发向用户指定地址。当包被接收。目标机器发送返回数据包. ping 主要有两个作用</p>
<p>1. 用来确认网络连接是畅通的。</p>
<p>2. 用来查看连接的速度信息。</p>
<p>如果你 ping www.yahoo.com 它将返回它的ip地址 。你可以通过 ctrl+C 来停止命令。</p>
<p>3. ifconfig</p>
<p>查看用户网络配置。它显示当前网络设备配置。对于需要接收或者发送数据错误查找，这个工具极为好用。</p>
<p>4. iwconfig</p>
<p>iwconfig 工具与 ifconfig 和ethtool类似。是用于无线网卡的 . 你可以用他查看设置基本的Wi-Fi 网络信息,例如 SSID, channel和encryption.还有其他很多配置你也可以查看和修改，, 包括 接收灵敏度, RTS/CTS, 发送数据包的分片大小,以及无线网卡的重传机制</p>
<p>5. nslookup</p>
<p>nslookup 这个命令在 有ip地址时，可以用这个命令来显示主机名，可以找到给定域名的所有ip地址。而你必须连接到互联网才能使用这个命令</p>
<p>例子. nslookup blogger.com</p>
<p>你也可以使用 nslookup 从ip获得主机名或从主机名获得ip。</p>
<p>6. traceroute</p>
<p>一个方便的工具。可用来查看数据包在提交到远程系统或者网站时候所经过的路由器的IP地址、跳数和响应时间。同样你必须链接到互联网才能使用这个命令</p>
<p>7. finger</p>
<p>查看用户信息。显示用户的登录名字、真实名字以及登录终端的名字和登录权限。这是unix一个很老的命令，现在已很少使用了</p>
<p>8. telnet</p>
<p>通过telnet协议连接目标主机，如果telnet连接可以在任一端口上完成即代表着两台主机间的连接良好。</p>
<p>telnet hostname port - 使用指定的端口telnet主机名。这通常用来测试主机是否在线或者网络是否正常。</p>
<p> </p>
<p>9. ethtool</p>
<p>ethtool允许你查看和更改网卡的许多设置（不包括Wi-Fi网卡）。你可以管理许多高级设置，包括tx/rx、校验及网络唤醒功能。下面是一些你可能感兴趣的基本命令：</p>
<p>显示一个特定网卡的驱动信息，检查软件兼容性时尤其有用。</p>
<p> </p>
<p>ethtool -i</p>
<p>启动一个适配器的指定行为，比如让适配器的LED灯闪烁，以帮助你在多个适配器或接口中标识接口名称：</p>
<p> </p>
<p>ethtool -p</p>
<p>显示网络统计信息：</p>
<p> </p>
<p>ethtool -s</p>
<p>设置适配器的连接速度，单位是Mbps：</p>
<p>ethtool speed &lt;10|100|1000&gt;</p>
<p>10. netstat</p>
<p>发现主机连接最有用最通用的Linux命令。你可以使用"netstat -g"查询该主机订阅的所有多播组（网络）</p>
<p>netstat -nap | grep port 将会显示使用该端口的应用程序的进程id<br />
netstat -a  or netstat –all 将会显示包括TCP和UDP的所有连接  <br />
netstat --tcp  or netstat –t 将会显示TCP连接<br />
netstat --udp or netstat –u 将会显示UDP连接<br />
netstat -g 将会显示该主机订阅的所有多播网络。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 13:32:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%bb%9c/" title="网络">网络</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a5%e5%8f%a3/" title="接口">接口</a>, <a href="https://www.iamivan.net/tag/%e6%b5%81%e9%87%8f/" title="流量">流量</a>, <a href="https://www.iamivan.net/tag/%e7%ab%af%e5%8f%a3/" title="端口">端口</a>, <a href="https://www.iamivan.net/tag/%e7%9b%91%e6%8e%a7/" title="监控">监控</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Linux下常用网络和监控命令的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvr4l6M.html" rel="bookmark">linux下常用网络操作汇总  专题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				centos 更改主机名,需要更改的几个地方: (1) /etc/sysconfig/network  //更改主机名(2)/etc/hostname  //更改主机名(3) /etc/hosts  //更改本机ip和主机名的映射关系   IP: ifconfig gateway: [root@localhost ~]# netstat -rn Kernel IP routing table Destination Gateway Genmask Flags MSS Window irtt If			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6kyEz.html" rel="bookmark">Linux下常用网络命令总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  你可以使用以下任何一个命令: nstat 命令 : 网络统计工具 键入以下命令: 代码如下: # nstat 输出样例: #kernel IpInReceives 133243 0.0 IpInDelivers 133243 0.0 IpOutRequests 92904 0.0 IcmpOutErrors 97 0.0 IcmpOutTimeExcds 97 0.0 IcmpMsgOutType3 97 0.0 TcpActiveOpens 538 0.0 TcpEstabResets 5			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxNlKb.html" rel="bookmark">Linux下常用的系统信息查阅命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这是文字版: 系统信息 #uname -a #查看内核/操作系统/cpu信息 #cat /etc/issue #查看操作系统版本 #cat /proc/version #包含GCC的版本信息 #cat /proc/cpuinfo #查看CPU信息 #hostname #查看计算机名 #lspci -tv #列出所有pci设备 #lsusb -tv #列出所有usb设备 #lsmod #列出加载的内核模块 #env #查看环境变量 资源信息 #free -m #查看内存使用量和交换区使用量 #			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9ABXdM.html" rel="bookmark">一波Linux下常用的文件相关命令小整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				显示当前目录下各个文件的大小 代码如下:ll -h(相对于 ls -lh) 显示当前目录下各个文件夹的文件总大小 代码如下:ls | xargs du -sh 当前服务器的空间使用情况 代码如下:df -h 当前文件夹下所有文件总大小 代码如下:du -smh * 查看文件 代码如下:cat 1.txt | moretail -n 10 1.txt | grep uuidhead -n 10 1.txt 文件转移 代码如下:cp a.txt  /tmp/cp a.txt  /tmp/b.txtm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqEBBb.html" rel="bookmark">Linux下常用系统分析工具总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于程序员来说,整个计算机系统由四个重要的模块组成,分别是:CPU,网络,磁盘,内存.在我们的程序或者系统出现问题时,我们应该分别有一定先后顺序的对这四块进行排查.而在Linux系统下,有很多高效的工具,可以帮助我们分析定位问题.本文对于Linux下常用的一些工具进行一些简单的介绍,帮助读者能对这些工具有一个初步的了解.如果有不对的地方,欢迎随时指正交流. 1.CPU 对于cpu我们主要介绍top,strace,perf,vmstat. 1.1 top top命令可以实时动态地查看系统的整体运行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balQ5qz.html" rel="bookmark">借助Shell让你在Linux下也能用DOS命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果你是习惯于Windows命令提示符的IT人,当你第一次使用Linux命令行时 ,一定会感到无所适从.你所熟悉的DOS命令再Linux中基本不存在.摆在你面前 的是一大堆要记背的命令. 一种替代方案是利用强大的Linux外壳命令编写shell脚本,让你在Linux下也 能用DOS命令.下面告诉你怎么做. shell脚本编写基础 从定时备份到执行简单命令,Linux的shell脚本可以执行各种功能.几乎所 有的程序都可以用shell脚本来运行.在脚本中甚至可以包含一些简单的条件选 择.shell			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6gGoM.html" rel="bookmark">linux下磁盘容量和df命令原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				df命令是linux下查看磁盘容量的常用命令.可以列出block数量,总容量,使用率等.这次使用python编写一个类似功能的模块,顺便学习一下df的原理. 直接输入df命令可以看到 Filesystem 1k-blocks Used Available Use% Mounted on 磁盘设备 blocks个数 使用的容量 有效容量 空闲率 挂载点 接下来就是这些参数怎么来的问题. /etc/mtab文件 /etc/mtab可以读出的是已经挂载的盘的信息,包括磁盘设备,挂载点,文件系统类型等.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQZGnp.html" rel="bookmark">Linux下主机间文件传输命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SCP命令: 简介: scp 命令在网络上的主机之间拷贝文件,它是安全拷贝(secure copy)的缩写. scp 命令使用 ssh 来传输数据,并使用与 ssh 相同的认证模式,提供同样的安全保障. 如果有公钥打通就不用密码,如果没有就会提示输入密码. 用法: 1 #Copy 本地文件 /etc/eva.log, 到远程机器 sysB, 用户 user 的家目录下 2 scp /etc/eva.log user@sysB:/home/user 3 #copy 远程机器 sysB 上的文件 /			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bByXW9z.html" rel="bookmark">《Linux指令从入门到精通》&mdash;&mdash;4&period;3　Linux下全屏幕文本编辑器的命令行方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4.3 Linux下全屏幕文本编辑器的命令行方式 4.3.1 emacs:文本编辑指令 初步了解emacs编辑器的基础功能,学会使用emacs指令来进行文本编辑.电邮收发等各项功能. emacs [-可选参数] [文件名] Emacs (Editor MACroS编辑器宏) 是一个功能强大的文本编辑器.该指令不仅可以用来编辑文本文件,还可以收发电邮.编辑远程文档.通过Telnet登录远程主机.登录IRC.查看日历.支持多种编程语言(如C/C++,Perl,Python,Lisp等).管理日程和个			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boK6Db.html" rel="bookmark" class="title">创建一个Android模拟器</a>
					<div>
						在开发这些手机应用程序时,开发环境一般都提供了模拟器,与真实设备是一样的.可以通过Android SDK and AVD Manager创建模拟器. 2.1.1              创建模拟器  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0nW8z.html" rel="bookmark" class="title">PS如何给人物换头像</a>
					<div>
						  PS如何给人物换头像?换头像过程比较简单大致分为三个大的步骤:首先把要更换的头像抠出,复制到素材图片中,并调整好大小跟原头像大小一致;然后添加图层蒙版,用画笔把头像融合好;最后一步比较关键,把头像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7wJaz.html" rel="bookmark" class="title">嵌入式操作系统Symbian简介</a>
					<div>
						symbian是一个操作系统,C++是其原生编程语言.它为软件开发人员提供了操作系统的全面功能.当然对C++的熟悉程度直接影响了开发人员对其的使用,因为Symbian OS下的开发会广泛运用C++的高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr531b.html" rel="bookmark" class="title">分享7个超棒的学习jQuery的网站</a>
					<div>
						根据国外科技网站 W3Techs 一项调查了近100万个网站数据显示,jQuery是目前最流行的 JavaScript 库.对于初学者来说,有的时候很难找到一个好的学习jQuery的网站,所以本文收集 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4AwNb.html" rel="bookmark" class="title">创建良好web体验&colon;4个优化移动Web产品的建议</a>
					<div>
						文章描述:案例学习:优化移动Web产品的四个要点. 世界范围内移动设备的使用数量在与日俱增.面对在跨越多个不同设备上创建良好web体验的挑战,现在已经存在多种解决方案.但是对于任何一个给定的项目,这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgAlZz.html" rel="bookmark" class="title">条件注释理论及实践</a>
					<div>
						条件 浏览器的条件注释理论,用下面一段例子来解释这个问题 (X)HTML 下面一段代码是测试在微软的IE浏览器下的条件注释语句的效果: &lt;!--[if IE]&gt;&lt;h1&gt;您正在使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWjWAb.html" rel="bookmark" class="title">全面解决--如何获得刚插入数据库的记录的ID号&quest;</a>
					<div>
						插入|解决|数据|数据库 如何获得刚插入数据库的记录的ID号? 1.SQL Server 对于SQL Server 2000来说,它提供了两个全新的函数(IDENT_CURRENT,SCOPE_IDE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1xomz.html" rel="bookmark" class="title">IBM Rational Focal Point 内的 Investment Analysis 数据快照</a>
					<div>
						您可以利用 IBM Rational Focal Point 的版本特性来为一个元素生成快照,包括 Investment Analysis 数据.当创建一个新版本时,所有属性的当前值都会被记录.版本属 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElD43z.html" rel="bookmark" class="title">wps文字中如何设置图案页码</a>
					<div>
						  在wps文字中设置图案页码的方法: 1.打开文件,&quot;视图&quot;--&quot;页眉和页脚&quot;. 2.打开&quot;任务窗口&quot;,就可以看到右边会出现一个工具栏.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8ZPrp.html" rel="bookmark" class="title">jquery插件冲突&lpar;jquery&period;noconflict&rpar;解决方法分享</a>
					<div>
						 本文主要解决了如何让多个不同的jQuery版本在同一个页面并存而不冲突的方法,需要的朋友可以参考下 许多的 JS 框架类库都选择使用$符号作为函数或变量名,jQuery是其中最为典型的一个.在 jQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8KWrp.html" rel="bookmark" class="title">360安全卫士怎么设置wifi？</a>
					<div>
						  下载一个360卫士,如果电脑里已有360,那么将自己的360升级到最新版本.360目前最新的版本是9.6beta版本.如图所示在右下角查看最新版本,然后进行升级. 打开360安全卫士功能大全里的连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG6w1p.html" rel="bookmark" class="title">如何加快win7电脑的菜单显示速度？</a>
					<div>
						  如何加快win7电脑的菜单显示速度?下面,小编就来告诉大家一个秘诀吧! 推荐系统:win764位最新纯净版 1.首先,咱们同时按下win7旗舰版电脑键盘上的win+R快捷键打开电脑的运行窗口,之后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdX3OM.html" rel="bookmark" class="title">如何改变网页字体大小</a>
					<div>
						  1.其实很多朋友出现网页字体变大或变小都是错误的调整到了网页的缩放比例导致的,正常网页缩放比例是100%,在浏览网页的最右下角可以看到缩放的比例,如果是比例设置不正常,那么网页字体肯定显示不是正常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o0Ygb.html" rel="bookmark" class="title">无法连接远程桌面</a>
					<div>
						  用户通过&quot;开始&quot;→&quot;所有程序&quot;→&quot;附件&quot;→&quot;通信&quot;→&quot;远程桌面连接&quot;,打开&quot;远程桌面连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oDVab.html" rel="bookmark" class="title">快捷键之待机和重启电脑</a>
					<div>
						  快捷键通过某些特定的按键.按键 顺序或按键组合来完成一个操作,很多快捷键往往与如 Ctrl 键.Shift 键.Alt 键.Fn 键以及 Windows 平台下的 Windows 键和 Mac 机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8dKvp.html" rel="bookmark" class="title">U盘和内存卡是同一样东西吗</a>
					<div>
						  一个16G的内存卡,但是大型的游戏无法拉进去,比如说内存卡还有11G的内存,我拉一个7G的压缩文件(里面是游戏)就会显示内存不够..请相信解释并说明一下. 虽然遇到的问题与U盘和内存卡的区别没有什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx5jvb.html" rel="bookmark" class="title">0到15 的正则表达式急急急急急</a>
					<div>
						问题描述 0到15 的正则表达式急急急急急 求一个0到15 的正则表达式,现在急用,请指点指点急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急急 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ09Yp.html" rel="bookmark" class="title">图像处理------颜色梯度变化 &lpar;Color Gradient&rpar;</a>
					<div>
						有过UI设计经验的一定对2D图形渲染中的Color Gradient 或多或少有些接触,很多编程 语言也提供了Gradient的接口,但是想知道它是怎么实现的嘛?   本文介绍三种简单的颜色梯度变化算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQ4ldp.html" rel="bookmark" class="title">Node&period;js模块封装及使用</a>
					<div>
						 Node.js中也有一些功能的封装,类似C#的类库,封装成模块这样方便使用,安装之后用require()就能引入调用. 一.Node.js模块封装  1.创建一个名为censorify的文件夹  2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lKEob.html" rel="bookmark" class="title">如何运用大数据让生活更有益</a>
					<div>
						世界正变得越来越数字化,大数据也正在以这种或那种方式慢慢进入到人们的视线中,从而影响着每个人的生活.在我们的日常生活中所做的一切都会留下数字痕迹(或者数据),这就是大数据,我们可以利用和分析这些数据来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBP4GM.html" rel="bookmark" class="title">js- flask 定义的路由找不到了，请问该如何定义flask路由</a>
					<div>
						问题描述 flask 定义的路由找不到了,请问该如何定义flask路由 上面的图是这个项目的目录结构,和run.py 的代码,其余代码如下: app文件夹中的__init__.py: app --in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB2Lmb.html" rel="bookmark" class="title">android studio-新手提问：关于校园网连接VPN的问题</a>
					<div>
						问题描述 新手提问:关于校园网连接VPN的问题 昨天安装了Android studio,今天构建完小项目后,一直提示我设置HTTP Proxy,各种搜索 之后,也没成功.最后买了个VPN账号,发现在手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX1aWz.html" rel="bookmark" class="title">创建分区函数不成功&comma;说数据库中已存在名为 &amp;amp&semi;amp&semi;&num;39&semi;pf&lowbar;eva&lowbar;date&amp;amp&semi;amp&semi;&num;39&semi; 的对象。</a>
					<div>
						问题描述 创建分区函数不成功,说数据库中已存在名为 'pf_eva_date' 的对象. use food go create partition function pf_eva_date(datet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqnGQz.html" rel="bookmark" class="title">卡巴斯基：针对中国越南等国的工业网络攻击数量增多</a>
					<div>
						卡巴斯基旗下的工控系统计算机应急响应小组(ICS CERT)近日发布了一份报告,基于2016年收集到的数据详细分析并说明了工业行业网络威胁状况. 卡巴斯基表示,其产品已经拦截了针对39%的运行Wind ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JN20z.html" rel="bookmark" class="title">与巩俐秘密离婚？黄和祥：传闻是那样就那样吧</a>
					<div>
						本报讯(实习生 吴洋)巩俐1996年与新加坡商人黄和祥结婚后,婚变传闻一直不断,近日,有媒体报道,巩俐和黄和祥两人因聚少离多,早在一年前就协议离婚.昨日,巩俐经纪人曾敬超以&quot;不予置评!&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjy9ZM.html" rel="bookmark" class="title">visual studio-VS2015 不能新建项目，提示未将对象引用设置到对象的实例</a>
					<div>
						问题描述 VS2015 不能新建项目,提示未将对象引用设置到对象的实例 图片说明 解决方案 缺少对象,对象null 解决方案二: 可能是没安装好,对应的项目模板文件丢失了吧: 或者安装包本身有问题:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12YLop.html" rel="bookmark" class="title">怎么让U盘插入后自动运行我U盘里面的一个exe文件&comma;就是要实现类似于 autorun&period;inf 一样的效果</a>
					<div>
						问题描述 请问下,怎么让U盘插入后自动运行我U盘里面的一个exe文件,就是要实现类似于autorun.inf一样的效果不过autorun.inf不行杀毒软件包病毒.请问有没有更好的方法? 解决方案 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeNR8M.html" rel="bookmark" class="title">Tele2&sol;Telenor即将在瑞典5城市推出LTE服务</a>
					<div>
						C114讯 北京时间7月6日午间消息(张月红)瑞典电信运营商Tele2联合挪威合作伙伴Telenor,将在斯德哥尔摩.哥德堡.马尔摩.卡尔斯克鲁纳以及隆德五座城市推出LTE服务,明年向其他城市拓展,计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5Avaz.html" rel="bookmark" class="title">oracle中lpad函数的用法详解&lowbar;oracle</a>
					<div>
						oracle中lpad的用法 pad翻译:填充 lpad函数,在字符串的左侧添加指定字符串,用法: www.jb51.net lpad(String ,截取长度,添加的字符串). 说是添加字符串也不准 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYyG9b.html" rel="bookmark" class="title">js类式继承与原型式继承详解&lowbar;javascript技巧</a>
					<div>
						本文实例为大家分享了js类式继承与原型式继承相关代码,供大家参考,具体内容如下 1.js类式继承 /* -- 类式继承 -- */ //先声明一个超类 function Person(name) {  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
